=== debian/control ===
Source: ros-indigo-pyros-interfaces-ros
Section: misc
Priority: extra
Maintainer: AlexV <asmodehn@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin (>= 0.6.18), ros-indigo-catkin-pip (>= 0.1.17), ros-indigo-message-generation (>= 0.2.10), ros-indigo-pyros-common (>= 0.4.2), ros-indigo-pyros-test (>= 0.0.6), ros-indigo-pyros-utils (>= 0.1.3), ros-indigo-roslint (>= 0.10.0), ros-indigo-rospy (>= 1.11.19), ros-indigo-rostest (>= 1.11.19), ros-indigo-rostopic (>= 1.11.19), ros-indigo-rosunit (>= 1.11.12), ros-indigo-std-msgs (>= 0.5.9)
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-pyros-interfaces-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-message-runtime (>= 0.4.12), ros-indigo-pyros-common (>= 0.4.2), ros-indigo-pyros-utils (>= 0.1.3), ros-indigo-rospy (>= 1.11.19), ros-indigo-std-msgs (>= 0.5.9)
Description: Dynamic ROS interface for Pyros
